Subject: bug#18777: [PATCH] dfa: improvement for checking of multibyte character boundary

From: Norihiro Tanaka <[email-masked]>
Date: Tue, 21 Oct 2014 22:25:21 +0900

[email-masked] wrote:
> I would think adding a check for '\r' would be safe and would help
> too; given that on Windows systems '\r' generally occurs just as
> frequently as '\n', it should give a nice speedup for gawk on those
> systems.

As I recognize that DFA and regex aren't support multiple eolbytes as
CR-LF, I can't understand where we can use the change.  Grep converts
Windows text to Unix text by removal of CR in advance.

BTW, although I say `newline', correctly notice that it's `eolbyte'
which mayn't be either LF or NUL.